/*
	Safe Mailto Links plugin
	by Kevin Leary
	info@kevinleary.net
	www.kevinleary.net
*/

jQuery.fn.safeMailTo = function() {
	return this.each(function(){
			
		var mailtoHref = $(this).attr('href');
		mailtoHref = mailtoHref.replace(mailtoHref,"mailto:" + mailtoHref);
		mailtoHref = mailtoHref.replace("[at]","@");
		mailtoHref = mailtoHref.replace("[dot]",".");
		
		var mailtoText = $(this).text();
		mailtoText = mailtoText.replace("[at]","@");
		mailtoText = mailtoText.replace("[dot]",".");
		$(this).text(mailtoText);
		
		var mailtoTitle = mailtoHref.replace("mailto:","Email: ");
		$(this).attr('title',mailtoTitle);
		
		$(this).click(function(){
			window.location.href = mailtoHref;
			return false;
		});
	});
};